# Hosted Merchant Onboarding

The **Hosted Merchant Onboarding** gives you a prebuilt application flow for merchant onboarding. Merchants can complete the application, upload documents, and sign agreements to onboard easily.

### **Prerequisites** <a href="#prerequisites" id="prerequisites"></a>

To use the hosted merchant onboarding process, ensure you have the following:

✅ A test environment URL.&#x20;

{% hint style="info" %}
Contact [Xplor Pay Getting Started](https://xplorpay.com/getting-started/) to get test environment URL.
{% endhint %}

✅ Webhook URL to receive onboarding status updates.

{% hint style="info" %}
Visit [Register URL](/api-reference/webhooks/register-url.md) and learn how to register your URL.
{% endhint %}

✅ The required integration settings for your account.

{% hint style="info" %}
Contact to [Xplor Pay](https://xplorpay.com/contact/) for integration settings.
{% endhint %}

{% stepper %}
{% step %}

### Get onboarding application URL

To get the onboarding application URL:

1. Use the POST method.
2. Send a request to the [Hosted Merchant Onboarding](/api-reference/api/merchant-onboarding/hosted-merchant-onboarding.md) API endpoint with the required fields.

{% code overflow="wrap" lineNumbers="true" %}

```json
{
  "merchantInformation": {
    "dbaName": "Example-dba",
    "emailAddress": "janedoe@clearent.com"
  },
  "salesProfile": {
    "MccCode": "9999"
  },
  "pendEmailAddress": "user@example.com"
}
```

{% endcode %}

The response returns the application URL in the `applicationURL` field.

{% code overflow="wrap" lineNumbers="true" %}

```json
{
  "applicationURL": "https://boarding-sb.clearent.net/launch-integrator-setup/merchant/4c87c74b-a483-4d4f-8656-b46a59e2e3d4"
}
```

{% endcode %}

This URL directs the merchant to the onboarding page, where they can complete and submit the form.
{% endstep %}

{% step %}

### Application submission

The onboarding page shows all required fields for submission.

Use the sample data in the table to test the onboarding flow.

<table><thead><tr><th valign="top">Field name</th><th valign="top">Sample value</th></tr></thead><tbody><tr><td valign="top">Federal Tax ID</td><td valign="top">99-9000004</td></tr><tr><td valign="top">Routing Number (ABA)</td><td valign="top">083000137</td></tr><tr><td valign="top">Checking Account number</td><td valign="top">123542352343</td></tr></tbody></table>

When merchant selects **Submit**, Xplor Pay validates the data. If the information is valid, the merchant is prompted to sign the agreement digitally.
{% endstep %}

{% step %}

### Pricing configuration

The hosted onboarding application applies default pricing based on your partner account structure.

{% hint style="info" %}
See [Adding Hierarchy & Compensation Details](/partner-portal/partner-portal/guides/merchant-onboarding-via-partner-portal/adding-hierarchy-and-compensation-details.md) to manage partner hierarchy in your account.
{% endhint %}

To configure the pricing in the onboarding application, see:

* [Broken mention](broken://spaces/yN9CLsR8tlS8G8avRMB5/pages/obz0QPG7dQrYXrpnqFSb)
* [Broken mention](broken://spaces/yN9CLsR8tlS8G8avRMB5/pages/YXAfLhM3SrwtClBIPosA)
  {% endstep %}
  {% endstepper %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.xplorpay.com/quick-starts/hosted-merchant-onboarding.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
